use crate::parser::KVPair;
use crate::renderer::breadcrumb_tree::BreadcrumbTree;
use crate::renderer::context_element::IntoContextElement;
use crate::renderer::DustRenderer;
use std::collections::HashMap;

#[derive(Debug)]
pub struct ParametersContext<'a> {
    params: HashMap<&'a str, &'a dyn IntoContextElement>,
}

impl<'a> ParametersContext<'a> {
    pub fn new(
        renderer: &DustRenderer,
        breadcrumbs: Option<&BreadcrumbTree>,
        params: &Vec<KVPair>,
    ) -> Self {
        todo!()
    }
}
